/*
* This code is released under the GNU General Public License.  See COPYING for 
* details.  Copyright 2003 John Spray: spray_john@users.sourceforge.net
*/


#ifndef MENUITEM_H
#define MENUITEM_H

#include "Menu.h"

class MenuItem{
public:
	MenuItem();
	int selected;
	void SetPos(int x,int width,int y,int height);
	int CheckClick(int x,int y);
	void Draw(int viewportx,int viewporty);
	void Left();
	void Right();
	char label[128];
	menufunc function;
	Menu* parent;	
	void* target;
private:
	int x;
	int y;
	int width;
	int height;
};

#endif //MENUITEM_H
